Bug 1900616 - F34FailsToInstall: python3-niapy
Summary: F34FailsToInstall: python3-niapy
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: python-niapy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1900629
Blocks: F34FailsToInstall PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-23 12:43 UTC by Miro Hrončok
Modified: 2020-12-27 12:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-27 12:03:15 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github NiaOrg NiaPy issues 283 0 None closed xlwt is archived: consider dropping xlwt requirement? 2020-12-10 07:50:54 UTC

Description Miro Hrončok 2020-11-23 12:43:31 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (python-niapy) Fails To Install in Fedora 34:

can't install python3-niapy:
  - nothing provides python3.9dist(xlwt) = 1.3 needed by python3-niapy-2.0.0-0.2rc11.fc34.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Ankur Sinha (FranciscoD) 2020-11-30 13:19:04 UTC
Still waiting on the xlwt update.

Comment 2 Tomáš Hrnčiar 2020-12-04 08:42:51 UTC
python-sklearn-nature-inspired-algorithms doesn't build in Python 3.10 COPR because of this.

https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-sklearn-nature-inspired-algorithms/

Comment 3 Ankur Sinha (FranciscoD) 2020-12-04 09:35:33 UTC
Tomas, these are all blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1900629

As the error shows above:

  - nothing provides python3.9dist(xlwt) = 1.3 needed by python3-niapy-2.0.0-0.2rc11.fc34.noarch

That package needs to be updated.

Comment 4 Ankur Sinha (FranciscoD) 2020-12-04 09:47:51 UTC
xlwt is now archived and will not see any more releases. So I've also filed this: https://github.com/NiaOrg/NiaPy/issues/283

Comment 5 Miro Hrončok 2020-12-27 12:03:15 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 34.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.